%define	module	xdot

# git81b8d7d
%define gitrel	0
%define rel 2
%if "%{commit}" != "0"
%define release %mkrel %{rel}
%else
%define release %mkrel 1.%{rel}.%{gitrel}
%endif

%define distname %{module}.py-%{version}

Summary:	Interactive viewer for Graphviz dot files
Name:		python-%{module}
Version:	1.2
Release:	%{release}
License:	LGPLv3+
Group:		Graphics/Utilities
Url:		https://github.com/jrfonseca/xdot.py
Source0:	https://github.com/jrfonseca/xdot.py/archive/%{version}/%{distname}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-setuptools
BuildRequires:	pkgconfig(python3)

%description
xdot is an interactive viewer for graphs written in
Graphviz's dot language.

It internally uses Graphviz's xdot output format as an
intermediate format, and PyGTK and Cairo for rendering.

xdot can be used either as a standalone application from
the command line, or as a library embedded in your Python
application.

%package -n python3-%{module}
Summary:	Interactive viewer for Graphviz dot files
Group:		Graphics/Utilities
BuildArch:	noarch
Requires:	graphviz
Requires:	python3dist(pygobject)
Requires:	python3-pkg-resources

Obsoletes:	python-xdot < 0.6-5
Provides:	python-xdot = %{version}-%{release}

%description -n python3-%{module}
xdot is an interactive viewer for graphs written in
Graphviz's dot language.

It internally uses Graphviz's xdot output format as an
intermediate format, and PyGTK and Cairo for rendering.

xdot can be used either as a standalone application from
the command line, or as a library embedded in your Python
application.

%prep
%setup -q -n %{distname}

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{module}.desktop << EOF
[Desktop Entry]
Name=XDot
Comment=Interactive viewer for Graphviz dot files
Exec=xdot
Terminal=false
Type=Application
Categories=GTK;DataVisualization;Science;Graphics;
MimeType=text/vnd.graphviz;
Keywords=graphviz;dot;viewer;graph;
EOF

%files -n python3-%{module}
%doc sample.py README.md
%license LICENSE.txt
%{_bindir}/%{module}
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info
%{_datadir}/applications/%{_real_vendor}-%{module}.desktop


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.2-2.mga9
+ Revision: 1823092
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 1.2-1.mga9
+ Revision: 1779505
- version 1.2
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.1-4.mga9
+ Revision: 1732805
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1-3.mga8
+ Revision: 1532545
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.1-2.mga8
+ Revision: 1442488
- rebuild for python-3.8

* Thu Apr 11 2019 daviddavid <daviddavid> 1.1-1.mga7
+ Revision: 1388238
- new version: 1.1

* Fri Mar 15 2019 daviddavid <daviddavid> 1.0-1.mga7
+ Revision: 1377273
- new version: 1.0
- switch to Python3

* Wed Sep 19 2018 umeabot <umeabot> 0.6-6.mga7
+ Revision: 1274857
- Mageia 7 Mass Rebuild

* Sat Mar 18 2017 akien <akien> 0.6-5.mga6
+ Revision: 1093432
- Fix missing python-pkg-resources dep (mga#20515)

* Fri Feb 05 2016 umeabot <umeabot> 0.6-4.mga6
+ Revision: 936743
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-3.mga5
+ Revision: 743759
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-2.mga5
+ Revision: 688429
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 blino <blino> 0.6-1.mga5
+ Revision: 666975
- 0.6
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 544590
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5-3.mga4
+ Revision: 499769
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 03 2013 blino <blino> 0.5-2.mga4
+ Revision: 474889
- expand file list in spec instead of using broken setup.py --record option (includes uninstalled pyc file)
- enable python bytecode

* Fri Jun 14 2013 blino <blino> 0.5-1.mga4
+ Revision: 443121
- use Graphics/Utilities group
- add desktop file (borrowed from Debian)
- update URL
- 0.5
- imported package python-xdot


* Tue Jan 03 2012 Lev Givon <lev@mandriva.org> 0.4-0.git81b8d7dmdv2011.0
+ Revision: 749031
- imported package python-xdot

